<html>
<head>
<title>OgreMeshManager.h Source File - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="headertitle">
<div class="title">OgreMeshManager.h</div>  </div>
</div><!--header-->
<div class="contents">
<a href="OgreMeshManager_8h.html">Go to the documentation of this file.</a><div class="fragment"><pre class="fragment"><a name="l00001"></a>00001 <span class="comment">/*</span>
<a name="l00002"></a>00002 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00003"></a>00003 <span class="comment">This source file is part of OGRE</span>
<a name="l00004"></a>00004 <span class="comment">    (Object-oriented Graphics Rendering Engine)</span>
<a name="l00005"></a>00005 <span class="comment">For the latest info, see http://www.ogre3d.org/</span>
<a name="l00006"></a>00006 <span class="comment"></span>
<a name="l00007"></a>00007 <span class="comment">Copyright (c) 2000-2012 Torus Knot Software Ltd</span>
<a name="l00008"></a>00008 <span class="comment"></span>
<a name="l00009"></a>00009 <span class="comment">Permission is hereby granted, free of charge, to any person obtaining a copy</span>
<a name="l00010"></a>00010 <span class="comment">of this software and associated documentation files (the &quot;Software&quot;), to deal</span>
<a name="l00011"></a>00011 <span class="comment">in the Software without restriction, including without limitation the rights</span>
<a name="l00012"></a>00012 <span class="comment">to use, copy, modify, merge, publish, distribute, sublicense, and/or sell</span>
<a name="l00013"></a>00013 <span class="comment">copies of the Software, and to permit persons to whom the Software is</span>
<a name="l00014"></a>00014 <span class="comment">furnished to do so, subject to the following conditions:</span>
<a name="l00015"></a>00015 <span class="comment"></span>
<a name="l00016"></a>00016 <span class="comment">The above copyright notice and this permission notice shall be included in</span>
<a name="l00017"></a>00017 <span class="comment">all copies or substantial portions of the Software.</span>
<a name="l00018"></a>00018 <span class="comment"></span>
<a name="l00019"></a>00019 <span class="comment">THE SOFTWARE IS PROVIDED &quot;AS IS&quot;, WITHOUT WARRANTY OF ANY KIND, EXPRESS OR</span>
<a name="l00020"></a>00020 <span class="comment">IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,</span>
<a name="l00021"></a>00021 <span class="comment">FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE</span>
<a name="l00022"></a>00022 <span class="comment">AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER</span>
<a name="l00023"></a>00023 <span class="comment">LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,</span>
<a name="l00024"></a>00024 <span class="comment">OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN</span>
<a name="l00025"></a>00025 <span class="comment">THE SOFTWARE.</span>
<a name="l00026"></a>00026 <span class="comment">-----------------------------------------------------------------------------</span>
<a name="l00027"></a>00027 <span class="comment">*/</span>
<a name="l00028"></a>00028 <span class="preprocessor">#ifndef __MeshManager_H__</span>
<a name="l00029"></a>00029 <span class="preprocessor"></span><span class="preprocessor">#define __MeshManager_H__</span>
<a name="l00030"></a>00030 <span class="preprocessor"></span>
<a name="l00031"></a>00031 <span class="preprocessor">#include &quot;<a class="code" href="OgrePrerequisites_8h.html">OgrePrerequisites.h</a>&quot;</span>
<a name="l00032"></a>00032 
<a name="l00033"></a>00033 <span class="preprocessor">#include &quot;<a class="code" href="OgreResourceManager_8h.html">OgreResourceManager.h</a>&quot;</span>
<a name="l00034"></a>00034 <span class="preprocessor">#include &quot;<a class="code" href="OgreSingleton_8h.html">OgreSingleton.h</a>&quot;</span>
<a name="l00035"></a>00035 <span class="preprocessor">#include &quot;<a class="code" href="OgreVector3_8h.html">OgreVector3.h</a>&quot;</span>
<a name="l00036"></a>00036 <span class="preprocessor">#include &quot;<a class="code" href="OgreHardwareBuffer_8h.html">OgreHardwareBuffer.h</a>&quot;</span>
<a name="l00037"></a>00037 <span class="preprocessor">#include &quot;<a class="code" href="OgreMesh_8h.html">OgreMesh.h</a>&quot;</span>
<a name="l00038"></a>00038 <span class="preprocessor">#include &quot;<a class="code" href="OgrePatchMesh_8h.html">OgrePatchMesh.h</a>&quot;</span>
<a name="l00039"></a>00039 
<a name="l00040"></a>00040 <span class="keyword">namespace </span>Ogre {
<a name="l00041"></a>00041 
<a name="l00042"></a>00042     <span class="keyword">class </span>MeshSerializerListener;
<a name="l00043"></a>00043 
<a name="l00057"></a><a class="code" href="classOgre_1_1MeshManager.html">00057</a>     <span class="keyword">class </span><a class="code" href="OgrePlatform_8h.html#a20566b1253bae200372ed9162489a663">_OgreExport</a> <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>: <span class="keyword">public</span> <a class="code" href="classOgre_1_1ResourceManager.html" title="Defines a generic resource handler.">ResourceManager</a>, <span class="keyword">public</span> <a class="code" href="classOgre_1_1Singleton.html" title="Template class for creating single-instance global classes.">Singleton</a>&lt;MeshManager&gt;, 
<a name="l00058"></a>00058         <span class="keyword">public</span> <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>
<a name="l00059"></a>00059     {
<a name="l00060"></a>00060     <span class="keyword">public</span>:
<a name="l00061"></a>00061         <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>();
<a name="l00062"></a>00062         ~<a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>();
<a name="l00063"></a>00063 
<a name="l00065"></a>00065         <span class="keywordtype">void</span> _initialise(<span class="keywordtype">void</span>);
<a name="l00066"></a>00066 
<a name="l00079"></a>00079         <a class="code" href="classOgre_1_1ResourceManager.html#af484f2b60c8d9bc87f37fa8af8e630c5">ResourceCreateOrRetrieveResult</a> createOrRetrieve(
<a name="l00080"></a>00080             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name,
<a name="l00081"></a>00081             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group,
<a name="l00082"></a>00082             <span class="keywordtype">bool</span> isManual=<span class="keyword">false</span>, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader=0,
<a name="l00083"></a>00083             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* params=0,
<a name="l00084"></a>00084             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00085"></a>00085             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00086"></a>00086             <span class="keywordtype">bool</span> vertexBufferShadowed = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexBufferShadowed = <span class="keyword">true</span>);
<a name="l00087"></a>00087 
<a name="l00109"></a>00109         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> prepare( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName,
<a name="l00110"></a>00110             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00111"></a>00111             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00112"></a>00112             <span class="keywordtype">bool</span> vertexBufferShadowed = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexBufferShadowed = <span class="keyword">true</span>);
<a name="l00113"></a>00113 
<a name="l00135"></a>00135         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> load( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; filename, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName,
<a name="l00136"></a>00136             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00137"></a>00137             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00138"></a>00138             <span class="keywordtype">bool</span> vertexBufferShadowed = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexBufferShadowed = <span class="keyword">true</span>);
<a name="l00139"></a>00139 
<a name="l00140"></a>00140 
<a name="l00154"></a>00154         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> createManual( <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName, 
<a name="l00155"></a>00155             <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader = 0);
<a name="l00156"></a>00156 
<a name="l00196"></a>00196         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> createPlane(
<a name="l00197"></a>00197             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a>&amp; plane,
<a name="l00198"></a>00198             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height,
<a name="l00199"></a>00199             <span class="keywordtype">int</span> xsegments = 1, <span class="keywordtype">int</span> ysegments = 1,
<a name="l00200"></a>00200             <span class="keywordtype">bool</span> normals = <span class="keyword">true</span>, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> numTexCoordSets = 1,
<a name="l00201"></a>00201             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> uTile = 1.0f, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> vTile = 1.0f, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; upVector = <a class="code" href="classOgre_1_1Vector3.html#a8d1a1f7af535bcc8d9c78b1732bc1b90">Vector3::UNIT_Y</a>,
<a name="l00202"></a>00202             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00203"></a>00203             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>,
<a name="l00204"></a>00204             <span class="keywordtype">bool</span> vertexShadowBuffer = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexShadowBuffer = <span class="keyword">true</span>);
<a name="l00205"></a>00205 
<a name="l00206"></a>00206         
<a name="l00257"></a>00257         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> createCurvedIllusionPlane(
<a name="l00258"></a>00258             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a>&amp; plane,
<a name="l00259"></a>00259             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> curvature,
<a name="l00260"></a>00260             <span class="keywordtype">int</span> xsegments = 1, <span class="keywordtype">int</span> ysegments = 1,
<a name="l00261"></a>00261             <span class="keywordtype">bool</span> normals = <span class="keyword">true</span>, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> numTexCoordSets = 1,
<a name="l00262"></a>00262             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> uTile = 1.0f, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> vTile = 1.0f, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; upVector = <a class="code" href="classOgre_1_1Vector3.html#a8d1a1f7af535bcc8d9c78b1732bc1b90">Vector3::UNIT_Y</a>,
<a name="l00263"></a>00263             <span class="keyword">const</span> <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a>&amp; orientation = <a class="code" href="classOgre_1_1Quaternion.html#a441b8d52549e1dedec27420325a313ef">Quaternion::IDENTITY</a>,
<a name="l00264"></a>00264             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00265"></a>00265             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>,
<a name="l00266"></a>00266             <span class="keywordtype">bool</span> vertexShadowBuffer = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexShadowBuffer = <span class="keyword">true</span>, 
<a name="l00267"></a>00267             <span class="keywordtype">int</span> ySegmentsToKeep = -1);
<a name="l00268"></a>00268 
<a name="l00310"></a>00310         <a class="code" href="classOgre_1_1MeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to MeshPtr.">MeshPtr</a> createCurvedPlane( 
<a name="l00311"></a>00311             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a>&amp; plane, 
<a name="l00312"></a>00312             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> width, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> height, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> bow = 0.5f, 
<a name="l00313"></a>00313             <span class="keywordtype">int</span> xsegments = 1, <span class="keywordtype">int</span> ysegments = 1,
<a name="l00314"></a>00314             <span class="keywordtype">bool</span> normals = <span class="keyword">false</span>, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> numTexCoordSets = 1, 
<a name="l00315"></a>00315             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> xTile = 1.0f, <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> yTile = 1.0f, <span class="keyword">const</span> <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a>&amp; upVector = <a class="code" href="classOgre_1_1Vector3.html#a8d1a1f7af535bcc8d9c78b1732bc1b90">Vector3::UNIT_Y</a>,
<a name="l00316"></a>00316             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vertexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00317"></a>00317             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>,
<a name="l00318"></a>00318             <span class="keywordtype">bool</span> vertexShadowBuffer = <span class="keyword">true</span>, <span class="keywordtype">bool</span> indexShadowBuffer = <span class="keyword">true</span>);
<a name="l00319"></a>00319 
<a name="l00356"></a>00356         <a class="code" href="classOgre_1_1PatchMeshPtr.html" title="Specialisation of SharedPtr to allow SharedPtr to be assigned to PatchMeshPtr.">PatchMeshPtr</a> createBezierPatch(
<a name="l00357"></a>00357             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; groupName, <span class="keywordtype">void</span>* controlPointBuffer, 
<a name="l00358"></a>00358             <a class="code" href="classOgre_1_1VertexDeclaration.html" title="This class declares the format of a set of vertex inputs, which can be issued to the rendering API th...">VertexDeclaration</a> *declaration, <span class="keywordtype">size_t</span> width, <span class="keywordtype">size_t</span> height,
<a name="l00359"></a>00359             <span class="keywordtype">size_t</span> uMaxSubdivisionLevel = <a class="code" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">PatchSurface::AUTO_LEVEL</a>, 
<a name="l00360"></a>00360             <span class="keywordtype">size_t</span> vMaxSubdivisionLevel = <a class="code" href="classOgre_1_1PatchSurface.html#a7ee650d77c69b42c43fb7553118c2503a575b3489dac0ce9bffbad3d630b76830">PatchSurface::AUTO_LEVEL</a>,
<a name="l00361"></a>00361             <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eee">PatchSurface::VisibleSide</a> visibleSide = <a class="code" href="classOgre_1_1PatchSurface.html#a3786509c9aac2a5ea44848e3f49c5eeeabe7d46958e7b6cf27e83c3e5600dafb2" title="The side from which u goes right and v goes up (as in texture coords)">PatchSurface::VS_FRONT</a>,
<a name="l00362"></a>00362             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> vbUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>, 
<a name="l00363"></a>00363             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> ibUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630aa0c82d1b27d6cc04e4b5f6d47a22a74c" title="Combination of HBU_DYNAMIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_DYNAMIC_WRITE_ONLY</a>,
<a name="l00364"></a>00364             <span class="keywordtype">bool</span> vbUseShadow = <span class="keyword">true</span>, <span class="keywordtype">bool</span> ibUseShadow = <span class="keyword">true</span>);
<a name="l00365"></a>00365         
<a name="l00369"></a>00369         <span class="keywordtype">void</span> setPrepareAllMeshesForShadowVolumes(<span class="keywordtype">bool</span> enable);
<a name="l00371"></a>00371         <span class="keywordtype">bool</span> getPrepareAllMeshesForShadowVolumes(<span class="keywordtype">void</span>);
<a name="l00372"></a>00372 
<a name="l00388"></a>00388         <span class="keyword">static</span> <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>&amp; getSingleton(<span class="keywordtype">void</span>);
<a name="l00404"></a>00404         <span class="keyword">static</span> <a class="code" href="classOgre_1_1MeshManager.html" title="Handles the management of mesh resources.">MeshManager</a>* getSingletonPtr(<span class="keywordtype">void</span>);
<a name="l00405"></a>00405 
<a name="l00409"></a>00409         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> getBoundsPaddingFactor(<span class="keywordtype">void</span>);
<a name="l00410"></a>00410     
<a name="l00413"></a>00413         <span class="keywordtype">void</span> setBoundsPaddingFactor(<a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> paddingFactor);
<a name="l00414"></a>00414 
<a name="l00417"></a>00417         <span class="keywordtype">void</span> setListener(<a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *listener);
<a name="l00418"></a>00418         
<a name="l00421"></a>00421         <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *getListener();
<a name="l00422"></a>00422 
<a name="l00424"></a>00424         <span class="keywordtype">void</span> loadResource(<a class="code" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>* res);
<a name="l00425"></a>00425 
<a name="l00426"></a>00426     <span class="keyword">protected</span>:
<a name="l00428"></a>00428         <a class="code" href="classOgre_1_1Resource.html" title="Abstract class representing a loadable resource (e.g.">Resource</a>* createImpl(<span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; name, <a class="code" href="namespaceOgre.html#aeb9f62c8e6c4239315286c63321722b2">ResourceHandle</a> handle, 
<a name="l00429"></a>00429             <span class="keyword">const</span> <a class="code" href="namespaceOgre.html#af73bbdc8bed8a3e6fcd56bb8fa188c45">String</a>&amp; group, <span class="keywordtype">bool</span> isManual, <a class="code" href="classOgre_1_1ManualResourceLoader.html" title="Interface describing a manual resource loader.">ManualResourceLoader</a>* loader, 
<a name="l00430"></a>00430             <span class="keyword">const</span> <a class="code" href="group__General.html#gadccb207c184efc0a6fb2a00ab6320d19" title="Name / value parameter pair (first = name, second = value)">NameValuePairList</a>* createParams);
<a name="l00431"></a>00431         
<a name="l00434"></a>00434         <span class="keywordtype">void</span> tesselate2DMesh(<a class="code" href="classOgre_1_1SubMesh.html" title="Defines a part of a complete mesh.">SubMesh</a>* pSub, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> meshWidth, <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> meshHeight, 
<a name="l00435"></a>00435             <span class="keywordtype">bool</span> doubleSided = <span class="keyword">false</span>, 
<a name="l00436"></a>00436             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> indexBufferUsage = <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630a5ffbb339becd31435c5f616be4c28996" title="Combination of HBU_STATIC and HBU_WRITE_ONLY.">HardwareBuffer::HBU_STATIC_WRITE_ONLY</a>,
<a name="l00437"></a>00437             <span class="keywordtype">bool</span> indexSysMem = <span class="keyword">false</span>);
<a name="l00438"></a>00438 
<a name="l00439"></a>00439         <span class="keywordtype">void</span> createPrefabPlane(<span class="keywordtype">void</span>);
<a name="l00440"></a>00440         <span class="keywordtype">void</span> createPrefabCube(<span class="keywordtype">void</span>);
<a name="l00441"></a>00441         <span class="keywordtype">void</span> createPrefabSphere(<span class="keywordtype">void</span>);
<a name="l00442"></a>00442     
<a name="l00444"></a><a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57c">00444</a>         <span class="keyword">enum</span> <a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57c" title="Enum identifying the types of manual mesh built by this manager.">MeshBuildType</a>
<a name="l00445"></a>00445         {
<a name="l00446"></a><a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57cab96fa5662a5362d536e513d698732431">00446</a>             <a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57cab96fa5662a5362d536e513d698732431">MBT_PLANE</a>,
<a name="l00447"></a><a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57cab602a4fb4007467e739ebc8147ad6b1a">00447</a>             <a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57cab602a4fb4007467e739ebc8147ad6b1a">MBT_CURVED_ILLUSION_PLANE</a>,
<a name="l00448"></a><a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57caea91fd50d173520e4cec6c1d8fd2f95f">00448</a>             MBT_CURVED_PLANE
<a name="l00449"></a>00449         };
<a name="l00451"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html">00451</a>         <span class="keyword">struct </span><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html" title="Saved parameters used to (re)build a manual mesh built by this class.">MeshBuildParams</a>
<a name="l00452"></a>00452         {
<a name="l00453"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a7756449924456539da2eae62b49a9ed5">00453</a>             <a class="code" href="classOgre_1_1MeshManager.html#ab207a060c84acb966c08d3ac46a2f57c" title="Enum identifying the types of manual mesh built by this manager.">MeshBuildType</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a7756449924456539da2eae62b49a9ed5">type</a>;
<a name="l00454"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab36fcb9c50422d7cf5713b20bcf7cb9b">00454</a>             <a class="code" href="classOgre_1_1Plane.html" title="Defines a plane in 3D space.">Plane</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab36fcb9c50422d7cf5713b20bcf7cb9b">plane</a>;
<a name="l00455"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a85e4852197ec492337acd1d2c6f3bd05">00455</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a85e4852197ec492337acd1d2c6f3bd05">width</a>;
<a name="l00456"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a632949476b55c48a388a7dbadc1c6d51">00456</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a632949476b55c48a388a7dbadc1c6d51">height</a>;
<a name="l00457"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab66d26e9fde13798667696b75fdcb8ea">00457</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab66d26e9fde13798667696b75fdcb8ea">curvature</a>;
<a name="l00458"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a69f3cbe4a54c489370375e420ee67863">00458</a>             <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a69f3cbe4a54c489370375e420ee67863">xsegments</a>;
<a name="l00459"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a89c454ab6f514bd56bde2935d98f0be1">00459</a>             <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a89c454ab6f514bd56bde2935d98f0be1">ysegments</a>;
<a name="l00460"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ae1ad5666b06f2dcf7efc53ad2f500008">00460</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ae1ad5666b06f2dcf7efc53ad2f500008">normals</a>;
<a name="l00461"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#aa09ef1f75ea666c1d50b304fbf6fa0f0">00461</a>             <span class="keywordtype">unsigned</span> <span class="keywordtype">short</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#aa09ef1f75ea666c1d50b304fbf6fa0f0">numTexCoordSets</a>;
<a name="l00462"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab993bcff70554c8ee7f90144df1492d4">00462</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#ab993bcff70554c8ee7f90144df1492d4">xTile</a>;
<a name="l00463"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a6218d1114cb7e1f39a8aff64dca37ab4">00463</a>             <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a6218d1114cb7e1f39a8aff64dca37ab4">yTile</a>;
<a name="l00464"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a8389c855cf891696e39ab7d657ee1278">00464</a>             <a class="code" href="classOgre_1_1Vector3.html" title="Standard 3-dimensional vector.">Vector3</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a8389c855cf891696e39ab7d657ee1278">upVector</a>;
<a name="l00465"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a3d94e3e0cc3e8b43b158dfc2b4ee020b">00465</a>             <a class="code" href="classOgre_1_1Quaternion.html" title="Implementation of a Quaternion, i.e.">Quaternion</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a3d94e3e0cc3e8b43b158dfc2b4ee020b">orientation</a>;
<a name="l00466"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a68fe4f51fab9e197706d3b0c3279a85a">00466</a>             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a68fe4f51fab9e197706d3b0c3279a85a">vertexBufferUsage</a>;
<a name="l00467"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a0cd508282d33651f940d2a0527310987">00467</a>             <a class="code" href="classOgre_1_1HardwareBuffer.html#ae51f5970d879af736e4cf53e1ec46630" title="Enums describing buffer usage; not mutually exclusive.">HardwareBuffer::Usage</a> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a0cd508282d33651f940d2a0527310987">indexBufferUsage</a>;
<a name="l00468"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#acf5be35c46df90ffd82f341945557e73">00468</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#acf5be35c46df90ffd82f341945557e73">vertexShadowBuffer</a>;
<a name="l00469"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#aebf37a7a73d7f899ac15fd01f1aec9d5">00469</a>             <span class="keywordtype">bool</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#aebf37a7a73d7f899ac15fd01f1aec9d5">indexShadowBuffer</a>;
<a name="l00470"></a><a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a20a7d47079fe9731ea5d4e836351d37b">00470</a>             <span class="keywordtype">int</span> <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html#a20a7d47079fe9731ea5d4e836351d37b">ySegmentsToKeep</a>;
<a name="l00471"></a>00471         };
<a name="l00473"></a><a class="code" href="classOgre_1_1MeshManager.html#adff10ffdbb9913c7e72a3439f019aa3c">00473</a>         <span class="keyword">typedef</span> <a class="code" href="structOgre_1_1map.html">map&lt;Resource*, MeshBuildParams&gt;::type</a> <a class="code" href="classOgre_1_1MeshManager.html#adff10ffdbb9913c7e72a3439f019aa3c" title="Map from resource pointer to parameter set.">MeshBuildParamsMap</a>;
<a name="l00474"></a><a class="code" href="classOgre_1_1MeshManager.html#add4bf1459f8198e975e6eb02f49d8d05">00474</a>         <a class="code" href="classOgre_1_1MeshManager.html#adff10ffdbb9913c7e72a3439f019aa3c" title="Map from resource pointer to parameter set.">MeshBuildParamsMap</a> <a class="code" href="classOgre_1_1MeshManager.html#add4bf1459f8198e975e6eb02f49d8d05">mMeshBuildParams</a>;
<a name="l00475"></a>00475 
<a name="l00477"></a>00477         <span class="keywordtype">void</span> loadManualPlane(<a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html" title="Saved parameters used to (re)build a manual mesh built by this class.">MeshBuildParams</a>&amp; params);
<a name="l00479"></a>00479         <span class="keywordtype">void</span> loadManualCurvedPlane(<a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html" title="Saved parameters used to (re)build a manual mesh built by this class.">MeshBuildParams</a>&amp; params);
<a name="l00481"></a>00481         <span class="keywordtype">void</span> loadManualCurvedIllusionPlane(<a class="code" href="classOgre_1_1Mesh.html">Mesh</a>* pMesh, <a class="code" href="structOgre_1_1MeshManager_1_1MeshBuildParams.html" title="Saved parameters used to (re)build a manual mesh built by this class.">MeshBuildParams</a>&amp; params);
<a name="l00482"></a>00482 
<a name="l00483"></a><a class="code" href="classOgre_1_1MeshManager.html#abd377a932d07cc3c52de4e7d32f2c7f0">00483</a>         <span class="keywordtype">bool</span> <a class="code" href="classOgre_1_1MeshManager.html#abd377a932d07cc3c52de4e7d32f2c7f0">mPrepAllMeshesForShadowVolumes</a>;
<a name="l00484"></a>00484     
<a name="l00485"></a>00485         <span class="comment">//the factor by which the bounding box of an entity is padded   </span>
<a name="l00486"></a><a class="code" href="classOgre_1_1MeshManager.html#a89eed92cfbe55b96c61bb752c8a5088c">00486</a>         <a class="code" href="namespaceOgre.html#aa3a7b6dfb905e6572d62f0dfa3d4274d" title="Software floating point type.">Real</a> <a class="code" href="classOgre_1_1MeshManager.html#a89eed92cfbe55b96c61bb752c8a5088c">mBoundsPaddingFactor</a>;
<a name="l00487"></a>00487 
<a name="l00488"></a>00488         <span class="comment">// The listener to pass to serializers</span>
<a name="l00489"></a><a class="code" href="classOgre_1_1MeshManager.html#a47f9bc3a2bef785bfdd9e02eaac18ad9">00489</a>         <a class="code" href="classOgre_1_1MeshSerializerListener.html">MeshSerializerListener</a> *<a class="code" href="classOgre_1_1MeshManager.html#a47f9bc3a2bef785bfdd9e02eaac18ad9">mListener</a>;
<a name="l00490"></a>00490     };
<a name="l00491"></a>00491 
<a name="l00495"></a>00495 } <span class="comment">//namespace</span>
<a name="l00496"></a>00496 
<a name="l00497"></a>00497 <span class="preprocessor">#endif</span>
</pre></div></div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:50
</p>
</body>
</html>
